Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.perforce
Interface P4Handler

All Superinterfaces:
  ExecuteStreamHandler

All Known Implementing Classes:
  P4HandlerAdapter

public interface P4Handler
extends ExecuteStreamHandler

Interface for p4 job output stream handler. Classes implementing this interface can be called back by P4Base.execP4Command();

Author:
  Les Hughes

Method Summary
`void` | `process(java.lang.String line)`
`void` | `setOutput(java.lang.String line)`

Methods inherited from interface org.apache.tools.ant.taskdefs.ExecuteStreamHandler
`setProcessErrorStream, setProcessInputStream, setProcessOutputStream, start, stop`

Method Detail

### process

    public void process(java.lang.String line)
                 throws BuildException

  Throws:
    `BuildException`

### setOutput

    public void setOutput(java.lang.String line)
                   throws BuildException

  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.